/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.channel;

import java.util.HashMap;

import junit.framework.TestCase;

import org.objectweb.dream.Push;
import org.objectweb.dream.adl.FactoryFactory;
import org.objectweb.dream.message.MessageManager;
import org.objectweb.dream.protocol.ExportIdentifier;
import org.objectweb.dream.test.MessageReceiver;
import org.objectweb.fractal.api.Component;
import org.objectweb.fractal.util.Fractal;

public class TestUDPChannelOut extends TestCase
{

  protected Component        testComponent;
  protected Push             outPushItf;
  protected MessageReceiver  messageReceiverItf;
  protected ExportIdentifier exportId;

  protected MessageManager   messageManagerItf;

  protected void setUp() throws Exception
  {
    testComponent = (Component) FactoryFactory.getFactory().newComponent(
        getClass().getName(), new HashMap());
    Fractal.getLifeCycleController(testComponent).startFc();
    outPushItf = (Push) testComponent.getFcInterface("in-push");

    messageReceiverItf = (MessageReceiver) testComponent
        .getFcInterface("message-receiver");

    exportId = ((ChannelInExportId) testComponent
        .getFcInterface("channel-in-export-id")).getExportIdentifier();

    messageManagerItf = (MessageManager) testComponent
        .getFcInterface(MessageManager.ITF_NAME);
  }

  public void testChannelInOut() throws Exception
  {
    // push a message
    outPushItf.push(Util.createMessage(exportId, messageManagerItf));
    messageReceiverItf.waitMessage();

  }
}
