/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.protocol.messagePassing;

import junit.framework.TestCase;

import org.objectweb.dream.message.AbstractChunk;
import org.objectweb.dream.message.Message;
import org.objectweb.dream.message.MessageManager;
import org.objectweb.dream.protocol.ExportIdentifier;
import org.objectweb.dream.protocol.ExportIdentifierChunk;

final class Util
{
  static void checkMessage(Message message, String chunkName,
      ExportIdentifier from, MessageManager messageManager)
  {
    AbstractChunk chunk = messageManager.getChunk(message, chunkName);
    TestCase.assertNotNull(chunk);
    messageManager.removeChunk(message, chunkName);
    TestCase.assertTrue(messageManager.isEmpty(message));
    TestCase.assertTrue(chunk instanceof ExportIdentifierChunk);
    ExportIdentifier exportIdentifier = ((ExportIdentifierChunk) chunk)
        .getExportIdentifier();
    TestCase.assertNotNull(exportIdentifier);
    TestCase.assertEquals(from, exportIdentifier);
  }

}
