/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.queue;

import junit.framework.TestCase;

import org.objectweb.dream.Pull;
import org.objectweb.dream.PullException;
import org.objectweb.dream.message.Message;

class Puller extends Thread
{

  private Pull          pullItf;
  private Message       message       = null;
  private PullException pullException = null;

  Puller(Pull pullItf)
  {
    this.pullItf = pullItf;
  }

  public void run()
  {
    try
    {
      Message m = pullItf.pull();
      synchronized (this)
      {
        message = m;
        notify();
      }
    }
    catch (PullException e)
    {
      synchronized (this)
      {
        pullException = e;
        notify();
      }
    }
  }

  synchronized Message assertPulled()
  {
    TestCase.assertNotNull(message);
    return message;
  }

  synchronized void assertPulling()
  {
    TestCase.assertNull(message);
    TestCase.assertNull(pullException);
  }

  synchronized PullException assertException()
  {
    TestCase.assertNotNull(pullException);
    return pullException;
  }
}