/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.control.activity.scheduler;

import org.objectweb.dream.control.activity.task.IllegalTaskException;
import org.objectweb.dream.control.activity.task.Task;

/**
 * Interface provided by scheduler that can be used to interrupt the execution
 * of a task.
 */
public interface InterruptTask
{
  /**
   * Interrupts the given task. When the task ends its execution the activity
   * manager will be notified using the
   * {@link org.objectweb.dream.control.activity.manager.EndOfTask }interface.
   * 
   * @param task the task to interrupt.
   * @throws IllegalTaskException if the given task is unknown.
   */
  void interruptTask(Task task) throws IllegalTaskException;

}
